import { __assign } from "tslib";
// @ts-nocheck
import './ContentBuilderTemplate.css';
import React from 'react';
import { forwardRefWithAs } from '../../../utils/types/PropsWithAsAttributes';
import { usePropsHandler } from '../../EventInterceptor/usePropsHandler';
import { cnContentBuilderTemplate } from './index';
import { Typography } from '../../Typography/Typography';
import { Article } from '../../Article/Article';
import { Picture } from '../../Picture/Picture';
import { Grid, GridItem } from '../../Grid/Grid';
export var ContentBuilderTemplate = forwardRefWithAs(function (props, ref) {
    var _a = usePropsHandler(cnContentBuilderTemplate(), props), type = _a.type, title = _a.title, text = _a.text, picture = _a.picture;
    var typeNumber = type.toString();
    return (React.createElement(React.Fragment, null,
        React.createElement(Grid, { breakpoints: { desktop: { cols: 12 } } },
            React.createElement(GridItem, { breakpoints: { desktop: { col: 8 } } },
                React.createElement("div", { className: cnContentBuilderTemplate({ type: typeNumber }) },
                    title && (React.createElement(Typography.Text, { size: "xs", weight: "bold", transform: "uppercase", className: cnContentBuilderTemplate('Title') }, title)),
                    React.createElement("div", { className: cnContentBuilderTemplate('Row') },
                        text && (React.createElement(Article, { content: text, className: cnContentBuilderTemplate('SubTitle') })),
                        picture && React.createElement(Picture, __assign({}, picture))))))));
});
export default ContentBuilderTemplate;
